BOS_SHUTDOWN(8)

NAME
bos_shutdown - Stops a process without changing its status flag

SYNOPSIS
bos shutdown -server <machine name>
    [-instance <instances>+] [-wait] [-cell <cell name>]
    [-noauth] [-localauth] [-help]

bos sh -s <machine name> [-i <instances>+] [-w]
    [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos shutdown command stops, on the server machine named by the -server argument, either

•   All of the currently running AFS server processes, except the BOS Server.

•   Only the processes specified by the -instance argument.

This command does not change a process's status flag in the /usr/afs/local/BosConfig file, but only in the BOS Server's memory. To stop a process and change its BosConfig status flag, use the bos stop command instead.

Once stopped with this command, a process does not run again until an administrator starts it by using the bos start, bos startup, or bos restart command, or until the BOS Server restarts (assuming that the process's BosConfig status flag is "Run").

OPTIONS

-server <machine name>
    Indicates the server machine on which to stop processes. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-instance <instances>+
    Names each process to stop. Use the process name assigned with the -instance argument to the bos create command. The output from the bos status command lists the names. Omit this argument to stop all processes other than the BOS Server.

-wait
    Delays the return of the command shell prompt until all processes actually stop. If this argument is omitted, the prompt returns almost immediately even if all processes are not stopped.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command stops all processes other than the BOS Server on the machine "fs3.abc.com".

   % bos shutdown fs3.abc.com

The following command stops the "upserver" process (server portion of the Update Server) on the machine "fs5.abc.com".

   % bos shutdown -server fs5.abc.com -instance upserver

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
BosConfig(5), KeyFile(5), UserList(5), bos(8), bos_create(8), bos_restart(8), bos_start(8), bos_startup(8), bos_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.